Package org.apache.sling.jcr.base.internal.mount

## Class ProxyProperty

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<T>
  - - org.apache.sling.jcr.base.internal.mount.ProxyItem<javax.jcr.Property>
    - - org.apache.sling.jcr.base.internal.mount.ProxyProperty

All Implemented Interfaces:
  `javax.jcr.Item`, `javax.jcr.Property`

    public class ProxyProperty
    extends ProxyItem<javax.jcr.Property>
    implements javax.jcr.Property

### Field Summary

### Fields inherited from interface javax.jcr.Property

`JCR_ACTIVITY, JCR_AUTOCREATED, JCR_BASE_VERSION, JCR_CHILD_VERSION_HISTORY, JCR_CONFIGURATION, JCR_CONTENT, JCR_COPIED_FROM, JCR_CREATED, JCR_CREATED_BY, JCR_CURRENT_LIFECYCLE_STATE, JCR_DATA, JCR_DEFAULT_PRIMARY_TYPE, JCR_DEFAULT_VALUES, JCR_DESCRIPTION, JCR_ENCODING, JCR_FROZEN_MIXIN_TYPES, JCR_FROZEN_PRIMARY_TYPE, JCR_FROZEN_UUID, JCR_HAS_ORDERABLE_CHILD_NODES, JCR_HOST, JCR_ID, JCR_IS_ABSTRACT, JCR_IS_CHECKED_OUT, JCR_IS_MIXIN, JCR_LANGUAGE, JCR_LAST_MODIFIED, JCR_LAST_MODIFIED_BY, JCR_LIFECYCLE_POLICY, JCR_LOCK_IS_DEEP, JCR_LOCK_OWNER, JCR_MANDATORY, JCR_MERGE_FAILED, JCR_MIMETYPE, JCR_MIXIN_TYPES, JCR_MULTIPLE, JCR_NAME, JCR_NODE_TYPE_NAME, JCR_ON_PARENT_VERSION, JCR_PATH, JCR_PORT, JCR_PREDECESSORS, JCR_PRIMARY_ITEM_NAME, JCR_PRIMARY_TYPE, JCR_PROTECTED, JCR_PROTOCOL, JCR_REPOSITORY, JCR_REQUIRED_PRIMARY_TYPES, JCR_REQUIRED_TYPE, JCR_ROOT, JCR_SAME_NAME_SIBLINGS, JCR_STATEMENT, JCR_SUCCESSORS, JCR_SUPERTYPES, JCR_TITLE, JCR_UUID, JCR_VALUE_CONSTRAINTS, JCR_VERSION_HISTORY, JCR_VERSIONABLE_UUID, JCR_WORKSPACE`

### Constructor Summary

Constructors
`ProxyProperty​(ProxySession mountSession, javax.jcr.Property delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.jcr.Binary` `getBinary()`
`boolean` `getBoolean()`
`Calendar` `getDate()`
`BigDecimal` `getDecimal()`
`javax.jcr.nodetype.PropertyDefinition` `getDefinition()`
`double` `getDouble()`
`long` `getLength()`
`long[]` `getLengths()`
`long` `getLong()`
`javax.jcr.Node` `getNode()`
`javax.jcr.Property` `getProperty()`
`InputStream` `getStream()`
`String` `getString()`
`int` `getType()`
`javax.jcr.Value` `getValue()`
`javax.jcr.Value[]` `getValues()`
`boolean` `isMultiple()`
`void` `setValue​(boolean value)`
`void` `setValue​(double value)`
`void` `setValue​(long value)`
`void` `setValue​(InputStream value)`
`void` `setValue​(String value)`
`void` `setValue​(String[] values)`
`void` `setValue​(BigDecimal value)`
`void` `setValue​(Calendar value)`
`void` `setValue​(javax.jcr.Binary value)`
`void` `setValue​(javax.jcr.Node value)`
`void` `setValue​(javax.jcr.Value value)`
`void` `setValue​(javax.jcr.Value[] values)`

### Methods inherited from class org.apache.sling.jcr.base.internal.mount.ProxyItem

`accept, getAncestor, getDepth, getName, getParent, getPath, getSession, isModified, isNew, isNode, isSame, refresh, remove, save`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.jcr.Item

`accept, getAncestor, getDepth, getName, getParent, getPath, getSession, isModified, isNew, isNode, isSame, refresh, remove, save`

### Constructor Detail

#### ProxyProperty

    public ProxyProperty​(ProxySession mountSession,
                         javax.jcr.Property delegate)

### Method Detail

#### setValue

    public void setValue​(javax.jcr.Value value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(javax.jcr.Value[] values)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(String value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(String[] values)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(InputStream value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(javax.jcr.Binary value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(long value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(double value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(BigDecimal value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(Calendar value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(boolean value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setValue

    public void setValue​(javax.jcr.Node value)
                  throws javax.jcr.ValueFormatException,
                         javax.jcr.version.VersionException,
                         javax.jcr.lock.LockException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `setValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### getValue

    public javax.jcr.Value getValue()
                             throws javax.jcr.ValueFormatException,
                                    javax.jcr.RepositoryException

Specified by:
  `getValue` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getValues

    public javax.jcr.Value[] getValues()
                                throws javax.jcr.ValueFormatException,
                                       javax.jcr.RepositoryException

Specified by:
  `getValues` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getString

    public String getString()
                     throws javax.jcr.ValueFormatException,
                            javax.jcr.RepositoryException

Specified by:
  `getString` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getStream

    public InputStream getStream()
                          throws javax.jcr.ValueFormatException,
                                 javax.jcr.RepositoryException

Specified by:
  `getStream` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getBinary

    public javax.jcr.Binary getBinary()
                               throws javax.jcr.ValueFormatException,
                                      javax.jcr.RepositoryException

Specified by:
  `getBinary` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getLong

    public long getLong()
                 throws javax.jcr.ValueFormatException,
                        javax.jcr.RepositoryException

Specified by:
  `getLong` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getDouble

    public double getDouble()
                     throws javax.jcr.ValueFormatException,
                            javax.jcr.RepositoryException

Specified by:
  `getDouble` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getDecimal

    public BigDecimal getDecimal()
                          throws javax.jcr.ValueFormatException,
                                 javax.jcr.RepositoryException

Specified by:
  `getDecimal` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getDate

    public Calendar getDate()
                     throws javax.jcr.ValueFormatException,
                            javax.jcr.RepositoryException

Specified by:
  `getDate` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getBoolean

    public boolean getBoolean()
                       throws javax.jcr.ValueFormatException,
                              javax.jcr.RepositoryException

Specified by:
  `getBoolean` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getNode

    public javax.jcr.Node getNode()
                           throws javax.jcr.ItemNotFoundException,
                                  javax.jcr.ValueFormatException,
                                  javax.jcr.RepositoryException

Specified by:
  `getNode` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ItemNotFoundException`
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getProperty

    public javax.jcr.Property getProperty()
                                   throws javax.jcr.ItemNotFoundException,
                                          javax.jcr.ValueFormatException,
                                          javax.jcr.RepositoryException

Specified by:
  `getProperty` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ItemNotFoundException`
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getLength

    public long getLength()
                   throws javax.jcr.ValueFormatException,
                          javax.jcr.RepositoryException

Specified by:
  `getLength` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getLengths

    public long[] getLengths()
                      throws javax.jcr.ValueFormatException,
                             javax.jcr.RepositoryException

Specified by:
  `getLengths` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

#### getDefinition

    public javax.jcr.nodetype.PropertyDefinition getDefinition()
                                                        throws javax.jcr.RepositoryException

Specified by:
  `getDefinition` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.RepositoryException`

#### getType

    public int getType()
                throws javax.jcr.RepositoryException

Specified by:
  `getType` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.RepositoryException`

#### isMultiple

    public boolean isMultiple()
                       throws javax.jcr.RepositoryException

Specified by:
  `isMultiple` in interface `javax.jcr.Property`
Throws:
  `javax.jcr.RepositoryException`